{
  "description": "ReplicaSetStatus represents the current status of a ReplicaSet.",
  "properties": {
    "availableReplicas": {
      "description": "The number of available replicas (ready for at least minReadySeconds) for this replica set.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "conditions": {
      "description": "Represents the latest available observations of a replica set's current state.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.apps.v1.ReplicaSetCondition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-map-keys": [
        "type"
      ],
      "x-kubernetes-list-type": "map",
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "fullyLabeledReplicas": {
      "description": "The number of pods that have labels matching the labels of the pod template of the replicaset.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "ObservedGeneration reflects the generation of the most recently observed ReplicaSet.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "readyReplicas": {
      "description": "readyReplicas is the number of pods targeted by this ReplicaSet with a Ready Condition.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "replicas": {
      "description": "Replicas is the most recently observed number of replicas. More info: https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller/#what-is-a-replicationcontroller",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "replicas"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/replicasetstatus/apps/v1"
}